<?php
/**
 * @package mod_tinydoc for Joomla! 3.x
 * @version $Id: folder.php 2017-09-21 $
 * @author Andreas Thul
 * @copyright (c) 2012-2017 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// 2014-09-16: changed DS to DIRECTORY_SEPARATOR

defined('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'helper.php');
jimport('joomla.form.formfield');

class JFormFieldFolder extends JFormField {

	protected $type = 'Folder';

	// getLabel() left out

	// 2013-06-03: Only variables should be assigned by reference
	// 2013-06-03: Creating default object from empty value
	public function getInput() {

 		$db = JFactory::getDBO();

		$folderlist = array();

		$folderlist[0] = new stdClass();
		$folderlist[0]->id = '';
 		$folderlist[0]->name = JText::_('SELECT_FOLDER');

		if (modTinyDocHelper::checkComponentInstalled()) {

	 		$query = 'SELECT * FROM #__tinydoc_folder ORDER BY name ASC';
	 		$db->setQuery($query);
	 		$folders = $db->loadObjectList();

			$count = 1;
	 		foreach ($folders as $folder) {
	 			$folderlist[$count] = new stdClass();
	 			$folderlist[$count]->id = $folder->id;
	 			$folderlist[$count]->name = $folder->name . ' (' . $folder->id . ')';
	 			$count++;
	 		}

		// 2017-09-21: add selector for all folders
	 	$folderlist[$count] = new stdClass();
	 	$folderlist[$count]->id = 999999999;
	 	$folderlist[$count]->name = '***';
	 	}

		return JHTML::_('select.genericlist', $folderlist, $this->name, '', 'id', 'name', $this->value );;
	}
}