<?php
/**
 * @package mod_tinydoc for Joomla! 2.5
 * @version $Id: helper.php 2017-09-21 $
 * @author Andreas Thul
 * @copyright (c) 2012-2017 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

// 2013-06-03: changed all methods to static
class modTinyDocHelper {

	// 2013-06-03: Only variables should be assigned by reference
	static function getDocuments(&$params) {

		$folder_id = $params->get('folder_id');
		$sort_by = $params->get('sort_by');
		$sort_order = $params->get('sort_order');
		$limit = $params->get('max_results', 99);

		$db	= JFactory::getDBO();

		// 2017-09-21: check selector for all folders
		if ($folder_id == 999999999) {
			$db->setQuery("SELECT * FROM #__tinydoc_document WHERE published = 1 ORDER by $sort_by $sort_order LIMIT $limit;");
		}
		else {
			$db->setQuery("SELECT * FROM #__tinydoc_document WHERE folder_id = $folder_id AND published = 1 ORDER by $sort_by $sort_order LIMIT $limit;");
		}
		$rows = $db->loadObjectList();
		return $rows;
	}

	static function getSizeText($size) {

		$kb = 1024;
		$mb = 1024 * 1024;
		$gb = 1024 * 1024 * 1024;

		if ($size > $gb) {
			$buffer = sprintf("%.2f GB", $size / $gb);
		}
		elseif ($size > $mb) {
			$buffer = sprintf("%.2f MB", $size / $mb);
		}
		elseif ($size > $kb) {
			$buffer = sprintf("%.2f KB", $size / $kb);
		}
		else {
			$buffer = sprintf("%.2f Bytes", $size);
		}

	return $buffer;
	}

	// 2013-06-03: Only variables should be assigned by reference
	static function getTypeIcons() {

		$db	= JFactory::getDBO();
		$db->setQuery("SELECT * FROM #__tinydoc_type;");
		$rows = $db->loadObjectList();

		$icons = array();

		foreach ($rows as $row) {
			$icons[$row->id] = $row->icon;
		}

		return $icons;
	}

	// 2013-06-03: Only variables should be assigned by reference
	static function checkComponentInstalled() {

		$db	= JFactory::getDBO();
		$db->setQuery("SELECT COUNT(DISTINCT(element)) FROM #__extensions WHERE element = 'com_tinydoc';");

		return $db->loadResult();
	}
}
